Skip to main content
GET
/
v2
/
farcaster
/
nft
/
mint
/
Simulate NFT mint calldata
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/nft/mint/ \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.neynar.com/v2/farcaster/nft/mint/"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.neynar.com/v2/farcaster/nft/mint/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "args": [
      "<unknown>"
    ],
    "calldata": "0xabcdef",
    "data": "0x1234abcd",
    "estimated_total_cost_wei": "100000000000000",
    "function_name": "mintTo",
    "network": "base",
    "recipient": {
      "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
      "fid": "<unknown>",
      "quantity": 1
    },
    "to": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
    "value": "0",
    "abi": "<unknown>"
  }
]
{
"code": "InvalidField",
"errors": [
{
"code": "<string>",
"expected": "<string>",
"message": "<string>",
"path": [
"<string>"
],
"received": "<string>"
}
],
"message": "Invalid query parameters"
}
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

recipients
string
required

JSON array of recipients (same structure as POST).

nft_contract_address
string
required

Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x5a927ac639636e534b678e81768ca19e2c6280b7"

network
enum<string>
required

Network to mint on.

Available options:
base,
optimism,
base-sepolia

Response

Success

args
any[]
required
calldata
string
required

Calldata for the mint transaction.

Example:

"0xabcdef"

data
string
required
Example:

"0x1234abcd"

estimated_total_cost_wei
string
required

Estimated total cost in wei (value + gas). Use this for price display.

Example:

"100000000000000"

function_name
string
required
Example:

"mintTo"

network
string
required
Example:

"base"

recipient
object
required

NFT mint recipient. Exactly one of "address" or "fid" must be set.

to
string
required

Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x5a927ac639636e534b678e81768ca19e2c6280b7"

value
string
required
Example:

"0"

abi
any | null

ABI for the mint function.